{{ if .Values.namespace.enabled }}
apiVersion: v1
kind: Namespace
metadata:
  annotations:
    argocd.argoproj.io/sync-wave: "-10"
    {{ if .Values.namespace.annotations }}
      {{- toYaml $.Values.namespace.annotations | nindent 4 }}
    {{ end }}
  {{ if .Values.namespace.labels }}
  labels:
    {{- toYaml $.Values.namespace.labels | nindent 4 }}
  {{ end }}
  name: {{ .Release.Namespace }}
{{ end }}